[PATCH] git-clone: use cpio's --quiet flag

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Without this flag, cpio prints the number of blocks copied,
leading to the somewhat confusing git-clone output:

$ git-clone foo bar
Initialized empty Git repository in ...
0 blocks

Signed-off-by: Jeff King <peff@xxxxxxxx>
---
This is obviously on top of the jc/clone topic in next.

 git-clone.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/git-clone.sh b/git-clone.sh
index 4c9b1c9..ccfc316 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -281,7 +281,8 @@ yes)
 			fi
 		fi &&
 		cd "$repo" &&
-		find objects -depth -print | cpio -pumd$l "$GIT_DIR/" || exit 1
+		find objects -depth -print | cpio --quiet -pumd$l "$GIT_DIR/" \
+			|| exit 1
 	fi
 	git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
 	;;
-- 
1.5.3.rc3.942.g536b2
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux